# Generated by Django 5.1.4 on 2025-01-13 21:28
from __future__ import annotations

import uuid

import django.db.models.deletion
from django.conf import settings
from django.db import migrations
from django.db import models

import django_namespaces.validators


class Migration(migrations.Migration):
    replaces = [
        ("django_namespaces", "0001_initial"),
        ("django_namespaces", "0002_alter_namespace_options_alter_namespace_slug"),
        ("django_namespaces", "0003_alter_namespace_slug"),
        (
            "django_namespaces",
            "0004_alter_namespace_options_rename_slug_namespace_handle",
        ),
        ("django_namespaces", "0005_namespace_default"),
        ("django_namespaces", "0006_alter_namespace_default"),
    ]

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Namespace",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "handle",
                    models.SlugField(
                        help_text="Namespaces must be unique across this website.",
                        unique=True,
                        validators=[django_namespaces.validators.valid_project_id],
                    ),
                ),
                ("title", models.CharField(blank=True, max_length=255, null=True)),
                ("description", models.TextField(blank=True, null=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "default",
                    models.BooleanField(
                        default=True,
                        help_text="Default namespace for this user (only one possible)",
                    ),
                ),
            ],
            options={
                "ordering": ["handle", "-updated_at", "-created_at"],
            },
        ),
    ]
